Subject: Re: bug#2022: 23.0.60; Rmail buffer marked modified after saving it

From: Glenn Morris <[email-masked]>
Date: Sun, 25 Jan 2009 15:45:59 -0500

Eli Zaretskii wrote:

> The old (pre-mbox) Rmail also had the unseen attribute, but it never
> marked the Rmail buffer modified when it was removed.

That's a good argument. I wonder how it worked...

> I don't think we want to regard seeing a message as a modification,
> since the body of the message does not change a bit.

But the meta-data (or whatever you want to call it) has changed.
If Emacs were to crash without saving at that point, you would lose
some data, namely the data that you had viewed a particular mail.

It seems pretty reasonable to me. It's what VM does, for example.